uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Adam Lally (JIRA)" <uima-...@incubator.apache.org>
Subject [jira] Commented: (UIMA-400) Fix Eclipse plugin
Date Tue, 05 Jun 2007 17:35:26 GMT

    [ https://issues.apache.org/jira/browse/UIMA-400?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12501624
] 

Adam Lally commented on UIMA-400:
---------------------------------

I fixed all these issued except for the fact that we have both Export-Package and Provide-Package.
 Personally I think it is fine to drop Eclipse 3.0 support at this time, by deleting Provide-Package.
 Objections?

> Fix Eclipse plugin
> ------------------
>
>                 Key: UIMA-400
>                 URL: https://issues.apache.org/jira/browse/UIMA-400
>             Project: UIMA
>          Issue Type: Bug
>          Components: Eclipse plugins
>    Affects Versions: 2.1
>            Reporter: Mikhail Sogrin
>            Assignee: Adam Lally
>            Priority: Minor
>             Fix For: 2.2
>
>
> Manifest for org.apache.uima.runtime plugin in UIMA 2.1 release is not correct:
> - lib/uima-jcas-builtin-types.jar is listed in manifest, but not present in plugin.
> - uima-document-annotation.jar is in distribution, but not in plugin.
> - Exported packages are listed twice, with Export-Package and with Provide-Package. But
Provide-Package has been deprecated since Eclipse 3.1.
> - Exported package org.apache.uima.tttypesystem does not exist in plugin, was removed
in UIMA-64.
> - "Eclipse-BuddyPolicy: registered" is written twice.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message